/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ExecutedAction.java 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.jasmine.monitoring.eos.notification.service.exchange;

import org.ow2.jasmine.event.beans.JasmineEventNotification;
import org.ow2.jasmine.monitoring.eos.notification.actions.exchange.ActionResult;

/**
 * This object is the result of an executed action.
 *
 * @author Guillaume Renault
 *
 */
public class ExecutedAction {

    /**
     * The notification associated with the action.
     */
    private JasmineEventNotification notification;

    /**
     * The action.
     */
    private ActionResult actionResult;

    /**
     * The user that executed the action.
     */
    private String user;

    /**
     * Default constructor.
     */
    public ExecutedAction() {

    }

    /**
     * Constructor.
     *
     * @param name Name of the action.
     * @param user The user that executed the action.
     * @param the notification of the action.
     */
    public ExecutedAction(final ActionResult actionResult, final String user, final JasmineEventNotification notification) {
        super();
        this.actionResult = actionResult;
        this.user = user;
        this.notification = notification;
    }

    /**
     * @return the name
     */
    public ActionResult getActionResult() {
        return actionResult;
    }

    /**
     * @param name the name to set
     */
    public void setActionResult(final ActionResult actionResult) {
        this.actionResult = actionResult;
    }

    /**
     * @return the user
     */
    public String getUser() {
        return user;
    }

    /**
     * @param user the user to set
     */
    public void setUser(final String user) {
        this.user = user;
    }

    /**
     * @return the notification
     */
    public JasmineEventNotification getNotification() {
        return notification;
    }

    /**
     * @param notification the notification to set
     */
    public void setNotification(final JasmineEventNotification notification) {
        this.notification = notification;
    }


}
